#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x8096907a, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x0378364b, "_gpl");
SYMBOL_CRC(af_alg_release, 0x0746d3e4, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xcfeb0b1e, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x46a1e91e, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x1d220db2, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xfbf760d0, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xde172674, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xd729f262, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x2c9480bc, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xd784b981, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xc91dd2d0, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xe774c5c2, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x5b38ea5e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x94f0e83, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xbd0650de, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xe09f5dd1, "sk_alloc" },
	{ 0x8ed5cd45, "sock_init_data" },
	{ 0xd06aa35e, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2d1df410, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8bdf5370, "extract_iter_to_sg" },
	{ 0xe3cb158c, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd986134b, "__folio_put" },
	{ 0x4dedf769, "proto_register" },
	{ 0x8db0537c, "sock_register" },
	{ 0xd3a3b43f, "proto_unregister" },
	{ 0x463c69fc, "down_read" },
	{ 0x4dc0300, "up_read" },
	{ 0xd2f1672e, "try_module_get" },
	{ 0x63718b02, "lock_sock_nested" },
	{ 0xbaa6ea3a, "release_sock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4a157dfc, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x31e1fb8e, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x94edf2b3, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x92036b4c, "sock_wake_async" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xeb38e784, "page_address" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x12e12228, "_copy_from_iter" },
	{ 0xf6aef7c7, "alloc_pages" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x68ea9753, "iov_iter_revert" },
	{ 0xed639856, "__free_pages" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7b5f2ae2, "key_put" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x99ee42b5, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x162c61d4, "sock_no_connect" },
	{ 0x43a25046, "sock_no_socketpair" },
	{ 0x8975ca9f, "sock_no_getname" },
	{ 0xb97e0f5b, "sock_no_ioctl" },
	{ 0x28226271, "sock_no_listen" },
	{ 0x54703898, "sock_no_shutdown" },
	{ 0x50120f85, "sock_no_sendmsg" },
	{ 0x1ce326f9, "sock_no_recvmsg" },
	{ 0x9fc94cf0, "sock_no_mmap" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8639D7BBC4422DD3B734FCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
