#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x33cf1f58, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0xbd96d8ee, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x55dbe228, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x7b7f9fe0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e1c72, "regmap_write" },
	{ 0xe5f6112b, "__devm_drm_dev_alloc" },
	{ 0xb7228738, "device_get_match_data" },
	{ 0x351c18f8, "device_property_read_u32_array" },
	{ 0x587f3862, "device_property_read_u8_array" },
	{ 0x7dc8b4e7, "device_property_present" },
	{ 0x835f6292, "devm_gpiod_get_optional" },
	{ 0x32dc5110, "devm_regulator_get" },
	{ 0xc2e2c072, "devm_backlight_device_register" },
	{ 0x1b0cae61, "drmm_mode_config_init" },
	{ 0x79a9230e, "drm_universal_plane_init" },
	{ 0x723fea2, "drm_plane_enable_fb_damage_clips" },
	{ 0xb13f4dad, "drm_crtc_init_with_planes" },
	{ 0xc5dafdb0, "drm_encoder_init" },
	{ 0x28d1a996, "drm_connector_init" },
	{ 0xbbd2f5af, "drm_connector_attach_encoder" },
	{ 0x61e92324, "drm_mode_config_reset" },
	{ 0xbb6ad769, "drm_dev_register" },
	{ 0x791ecb19, "drm_fbdev_generic_setup" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0x53f5986b, "dev_err_probe" },
	{ 0xc3e2769c, "drm_mode_duplicate" },
	{ 0xa869fd7a, "drm_mode_probed_add" },
	{ 0xd217429a, "drm_set_preferred_mode" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x3c506192, "pwm_put" },
	{ 0x8ec7a7a5, "regulator_disable" },
	{ 0x68a26f08, "pwm_apply_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa99f580b, "drm_dev_unplug" },
	{ 0x44a69217, "drm_atomic_helper_shutdown" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x703271ed, "regmap_bulk_write" },
	{ 0xc83aa0c9, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x854a1fc6, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x400dea82, "regulator_enable" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x83b0e301, "pwm_get" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0xb77bb7ea, "drm_dev_enter" },
	{ 0xea1cbdde, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xee5c1f6f, "drm_gem_fb_begin_cpu_access" },
	{ 0x9c20cff5, "drm_fb_xrgb8888_to_mono" },
	{ 0xd13a29ae, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x24ed4c97, "drm_gem_prime_handle_to_fd" },
	{ 0x51159b70, "drm_gem_prime_fd_to_handle" },
	{ 0x6f0af71f, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xa5abbee2, "drm_gem_prime_mmap" },
	{ 0xdcf603db, "drm_gem_shmem_dumb_create" },
	{ 0x4094267f, "noop_llseek" },
	{ 0xaa26b2ce, "drm_read" },
	{ 0xe89416ce, "drm_poll" },
	{ 0x697b9384, "drm_ioctl" },
	{ 0x1314889c, "drm_gem_mmap" },
	{ 0x57bbfbfa, "drm_open" },
	{ 0x7eeb1ce2, "drm_release" },
	{ 0x217ea2c0, "drm_gem_fb_create_with_dirty" },
	{ 0x32b4ab, "drm_atomic_helper_check" },
	{ 0x4963b5be, "drm_atomic_helper_commit" },
	{ 0xc46d0484, "drm_atomic_helper_connector_reset" },
	{ 0xc5fc79e3, "drm_helper_probe_single_connector_modes" },
	{ 0xab3713ec, "drm_connector_cleanup" },
	{ 0xc69a5b79, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x69ddff3a, "drm_atomic_helper_connector_destroy_state" },
	{ 0x8a0746a2, "drm_encoder_cleanup" },
	{ 0x9ce4d6d7, "drm_atomic_helper_crtc_reset" },
	{ 0xe6bafa5, "drm_crtc_cleanup" },
	{ 0x124a37bd, "drm_atomic_helper_set_config" },
	{ 0xfebe1b7d, "drm_atomic_helper_page_flip" },
	{ 0xa9b796a4, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xb804b39d, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x33f3bad0, "drm_crtc_helper_atomic_check" },
	{ 0xcd8f2fcd, "drm_atomic_helper_update_plane" },
	{ 0xd16a3256, "drm_atomic_helper_disable_plane" },
	{ 0x9fb20cb5, "drm_plane_cleanup" },
	{ 0xf774ca2a, "drm_gem_reset_shadow_plane" },
	{ 0x1a625144, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x77a6b2b8, "drm_gem_destroy_shadow_plane_state" },
	{ 0xdd3cb1ad, "drm_gem_begin_shadow_fb_access" },
	{ 0x35c495f2, "drm_gem_end_shadow_fb_access" },
	{ 0xa4ad8a56, "drm_plane_helper_atomic_check" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EE2775FE948E5E396404CE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
