#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6018ae7, "pin_user_pages_fast" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5bf94fcd, "ib_umem_release" },
	{ 0xa944a962, "pcie_capability_write_word" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x571470da, "__rdma_block_iter_start" },
	{ 0x7cccbb36, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xfb753936, "pci_enable_device" },
	{ 0x2b311456, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x36ce8097, "pci_dev_put" },
	{ 0xe7b52e5f, "mult_to_ib_rate" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xeb6d94e6, "pci_get_device" },
	{ 0xdaa37bf7, "dma_unmap_page_attrs" },
	{ 0x2f384613, "ib_modify_qp_is_ok" },
	{ 0x62397af2, "__pci_register_driver" },
	{ 0xbfc97bdc, "up" },
	{ 0x828d331, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbff03553, "pci_request_regions" },
	{ 0x507028a9, "remap_pfn_range" },
	{ 0x19e7490f, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x82d3f74a, "pci_irq_vector" },
	{ 0x72812f47, "_ib_alloc_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x41de2a66, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x16c52006, "rdma_create_ah" },
	{ 0x65aeb1d2, "pci_read_config_dword" },
	{ 0x7da5469a, "ib_unregister_device" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2f8946dc, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0xceb455a9, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x738803e6, "strnlen" },
	{ 0xed639856, "__free_pages" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6dd62b5b, "ib_unregister_mad_agent" },
	{ 0x39b83c89, "pci_find_capability" },
	{ 0x745398a9, "ib_post_send_mad" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa6999484, "ib_create_send_mad" },
	{ 0x3dc59654, "ib_dispatch_event" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x377637e6, "ib_get_cached_pkey" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x32a460e8, "down" },
	{ 0x6d4d341a, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x4cd49f81, "pcix_get_max_mmrbc" },
	{ 0xc536fdca, "dma_alloc_attrs" },
	{ 0x2aa1e3e2, "ib_query_port" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xae956dce, "ib_rate_to_mult" },
	{ 0xde80cd09, "ioremap" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2ced2515, "dma_sync_single_for_cpu" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd06aa35e, "unpin_user_page" },
	{ 0xbc003769, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x4209a803, "rdma_destroy_ah_user" },
	{ 0x801e3f19, "ib_dealloc_device" },
	{ 0xcb6f82df, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53a387b0, "dma_set_coherent_mask" },
	{ 0xeea0399, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x95aa85f3, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d69378e, "pci_release_regions" },
	{ 0xf6aef7c7, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8cdaa884, "pci_disable_device" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x12b01bba, "pcie_set_readrq" },
	{ 0x27bed2a0, "ib_register_mad_agent" },
	{ 0xc06e3ccb, "dma_set_mask" },
	{ 0x56062bc0, "dma_unmap_sg_attrs" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x15eb84ed, "param_ops_int" },
	{ 0xe07623e6, "_dev_printk" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xdb0b272f, "pci_free_irq_vectors" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc89a9916, "pcix_set_mmrbc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x49e4c50d, "pci_write_config_dword" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x3ef41788, "ib_set_device_ops" },
	{ 0x5c5e577e, "dma_map_sg_attrs" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,ib_core");

MODULE_ALIAS("pci:v000015B3d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00005E8Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005E8Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D649159AB1713CB22F76BA5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
