#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0x37bc56c9, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x93d33435, "");
SYMBOL_CRC(rtrs_clt_open, 0xc9c74fac, "");
SYMBOL_CRC(rtrs_clt_close, 0xe4ae5536, "");
SYMBOL_CRC(rtrs_clt_request, 0x97a0de4f, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x78a782b6, "");
SYMBOL_CRC(rtrs_clt_query, 0x12fe9c0e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926b41e5, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x63f9878f, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdd296174, "dev_set_name" },
	{ 0x67029a33, "rtrs_addr_to_sockaddr" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1ddcaa49, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x141cbafb, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x19e28e4e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xaade6c4e, "class_destroy" },
	{ 0x3325044d, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf6ac973a, "rdma_resolve_addr" },
	{ 0x828d331, "dma_sync_single_for_device" },
	{ 0x4ad34ed, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x383c15a8, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c433178, "rtrs_post_recv_empty" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0x222abfbe, "ib_dereg_mr_user" },
	{ 0x46fda29f, "ib_process_cq_direct" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x944ee0be, "rtrs_iu_post_rdma_write_imm" },
	{ 0x224c96c8, "rtrs_iu_post_send" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9fcf6019, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x671ea068, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd0c1fb50, "rtrs_rdma_dev_pd_init" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaf6bbdce, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x76cbe31, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x634968ac, "put_device" },
	{ 0xf7f96732, "rtrs_rdma_dev_pd_deinit" },
	{ 0x738803e6, "strnlen" },
	{ 0xe0c64b42, "rdma_resolve_route" },
	{ 0xe4bdbc4a, "rtrs_iu_free" },
	{ 0xf49ac4ff, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xaaac493a, "perf_trace_run_bpf_submit" },
	{ 0xbc6f866e, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6d006732, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xebdf84ee, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x476be8a0, "kobj_sysfs_ops" },
	{ 0x974f7869, "rtrs_cq_qp_destroy" },
	{ 0xbed984eb, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x1d6b8c26, "trace_event_reg" },
	{ 0x1b981cdf, "iov_iter_kvec" },
	{ 0x8e57d15a, "rtrs_iu_post_recv" },
	{ 0xc3f16210, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x67982f52, "sysfs_create_group" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xd11bd44a, "sysfs_remove_file_self" },
	{ 0x5c67138b, "bpf_trace_run1" },
	{ 0xd949d4f9, "device_del" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2ced2515, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x75a95dd5, "ib_alloc_mr" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x7535cf1e, "rdma_connect_locked" },
	{ 0xc42a7495, "rdma_set_reuseaddr" },
	{ 0x3c3a0bb6, "kobject_create_and_add" },
	{ 0xe0f9c582, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xffe78356, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xeea0399, "strscpy" },
	{ 0xc6331d96, "kobject_del" },
	{ 0x8c0f0785, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7882853b, "rdma_destroy_id" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3c79f71, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa4a1c583, "kobject_uevent" },
	{ 0x12e12228, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcbb691d9, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x56062bc0, "dma_unmap_sg_attrs" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xc137173d, "rtrs_cq_qp_create" },
	{ 0x3d2b3a97, "rtrs_ib_dev_put" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb9479c6a, "rtrs_init_hb" },
	{ 0x1b38f636, "rdma_consumer_reject_data" },
	{ 0x1b0e9466, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x851c6edc, "rtrs_send_hb_ack" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x46fad4f2, "rtrs_iu_alloc" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x5c5e577e, "dma_map_sg_attrs" },
	{ 0x92b57248, "flush_work" },
	{ 0xdcdaa317, "kobject_put" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "85A0430E0053F5E65795064");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
