#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x400dea82, "regulator_enable" },
	{ 0x7dc8b4e7, "device_property_present" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xe1cb7337, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x5a6eba8b, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x6df20176, "request_firmware" },
	{ 0xf08d72a5, "input_mt_report_slot_state" },
	{ 0xb5df3fe6, "devm_input_allocate_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcbd199db, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x23e47702, "pm_wakeup_dev_event" },
	{ 0x34ed252f, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x76faf16b, "i2c_smbus_read_block_data" },
	{ 0x351c18f8, "device_property_read_u32_array" },
	{ 0x32dc5110, "devm_regulator_get" },
	{ 0xeb021916, "i2c_smbus_write_block_data" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0x461a95c9, "i2c_register_driver" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6b97aa29, "input_mt_init_slots" },
	{ 0xb62fc65, "irq_get_irq_data" },
	{ 0x85254e18, "i2c_smbus_write_byte" },
	{ 0xb79e8892, "input_set_capability" },
	{ 0x6d0bf971, "i2c_smbus_read_byte" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4501f306, "input_event" },
	{ 0xab254086, "input_set_abs_params" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc90eb0b4, "input_mt_report_pointer_emulation" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x309db39c, "input_alloc_absinfo" },
	{ 0x6005623a, "i2c_transfer" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8ec7a7a5, "regulator_disable" },
	{ 0xde302370, "__devm_add_action" },
	{ 0x34f66412, "i2c_del_driver" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Celan,ekth3000");
MODULE_ALIAS("of:N*T*Celan,ekth3000C*");
MODULE_ALIAS("acpi*:ELAN0000:*");
MODULE_ALIAS("acpi*:ELAN0100:*");
MODULE_ALIAS("acpi*:ELAN0600:*");
MODULE_ALIAS("acpi*:ELAN0601:*");
MODULE_ALIAS("acpi*:ELAN0602:*");
MODULE_ALIAS("acpi*:ELAN0603:*");
MODULE_ALIAS("acpi*:ELAN0604:*");
MODULE_ALIAS("acpi*:ELAN0605:*");
MODULE_ALIAS("acpi*:ELAN0606:*");
MODULE_ALIAS("acpi*:ELAN0607:*");
MODULE_ALIAS("acpi*:ELAN0608:*");
MODULE_ALIAS("acpi*:ELAN0609:*");
MODULE_ALIAS("acpi*:ELAN060B:*");
MODULE_ALIAS("acpi*:ELAN060C:*");
MODULE_ALIAS("acpi*:ELAN060F:*");
MODULE_ALIAS("acpi*:ELAN0610:*");
MODULE_ALIAS("acpi*:ELAN0611:*");
MODULE_ALIAS("acpi*:ELAN0612:*");
MODULE_ALIAS("acpi*:ELAN0615:*");
MODULE_ALIAS("acpi*:ELAN0616:*");
MODULE_ALIAS("acpi*:ELAN0617:*");
MODULE_ALIAS("acpi*:ELAN0618:*");
MODULE_ALIAS("acpi*:ELAN0619:*");
MODULE_ALIAS("acpi*:ELAN061A:*");
MODULE_ALIAS("acpi*:ELAN061C:*");
MODULE_ALIAS("acpi*:ELAN061D:*");
MODULE_ALIAS("acpi*:ELAN061E:*");
MODULE_ALIAS("acpi*:ELAN061F:*");
MODULE_ALIAS("acpi*:ELAN0620:*");
MODULE_ALIAS("acpi*:ELAN0621:*");
MODULE_ALIAS("acpi*:ELAN0622:*");
MODULE_ALIAS("acpi*:ELAN0623:*");
MODULE_ALIAS("acpi*:ELAN0624:*");
MODULE_ALIAS("acpi*:ELAN0625:*");
MODULE_ALIAS("acpi*:ELAN0626:*");
MODULE_ALIAS("acpi*:ELAN0627:*");
MODULE_ALIAS("acpi*:ELAN0628:*");
MODULE_ALIAS("acpi*:ELAN0629:*");
MODULE_ALIAS("acpi*:ELAN062A:*");
MODULE_ALIAS("acpi*:ELAN062B:*");
MODULE_ALIAS("acpi*:ELAN062C:*");
MODULE_ALIAS("acpi*:ELAN062D:*");
MODULE_ALIAS("acpi*:ELAN062E:*");
MODULE_ALIAS("acpi*:ELAN062F:*");
MODULE_ALIAS("acpi*:ELAN0631:*");
MODULE_ALIAS("acpi*:ELAN0632:*");
MODULE_ALIAS("acpi*:ELAN0633:*");
MODULE_ALIAS("acpi*:ELAN0634:*");
MODULE_ALIAS("acpi*:ELAN0635:*");
MODULE_ALIAS("acpi*:ELAN0636:*");
MODULE_ALIAS("acpi*:ELAN0637:*");
MODULE_ALIAS("acpi*:ELAN1000:*");
MODULE_ALIAS("i2c:elan_i2c");

MODULE_INFO(srcversion, "51FCCBC3D4226AD6E9FE232");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
