#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x461a95c9, "i2c_register_driver" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6005623a, "i2c_transfer" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x34f66412, "i2c_del_driver" },
	{ 0x23b8eed7, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xb62fc65, "irq_get_irq_data" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xcbd199db, "i2c_transfer_buffer_flags" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xae9f704f, "input_device_enabled" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xffe78356, "sysfs_remove_group" },
	{ 0xfcdf8cba, "input_unregister_device" },
	{ 0xf9b63fec, "regulator_bulk_disable" },
	{ 0x4501f306, "input_event" },
	{ 0xf08d72a5, "input_mt_report_slot_state" },
	{ 0x65b45cb, "complete" },
	{ 0xc90eb0b4, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x8119bec1, "input_allocate_device" },
	{ 0xb79e8892, "input_set_capability" },
	{ 0xab254086, "input_set_abs_params" },
	{ 0x6b97aa29, "input_mt_init_slots" },
	{ 0x34ed252f, "input_register_device" },
	{ 0x309db39c, "input_alloc_absinfo" },
	{ 0x9c6d936e, "input_free_device" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xa694e2a, "request_firmware_nowait" },
	{ 0x6df20176, "request_firmware" },
	{ 0x7dc8b4e7, "device_property_present" },
	{ 0x74b1a3d3, "is_acpi_device_node" },
	{ 0x5a6eba8b, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x351c18f8, "device_property_read_u32_array" },
	{ 0x4df9f683, "devm_regulator_bulk_get" },
	{ 0x835f6292, "devm_gpiod_get_optional" },
	{ 0xe1cb7337, "devm_request_threaded_irq" },
	{ 0x2fca42a7, "regulator_bulk_enable" },
	{ 0x67982f52, "sysfs_create_group" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "A09F629FA2E656BDC6FFAFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
