#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0xa4f78df9, "");
SYMBOL_CRC(cx88_querycap, 0x11e87244, "");
SYMBOL_CRC(cx88_enum_input, 0xf4e84912, "");
SYMBOL_CRC(cx88_set_freq, 0x17e0a8ff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7af0022, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x49444176, "vb2_dma_sg_memops" },
	{ 0x3edfbbf7, "cx88_reset" },
	{ 0x55fca982, "v4l2_ctrl_poll" },
	{ 0xdd88b2d1, "video_ioctl2" },
	{ 0x147968a2, "cx88_wakeup" },
	{ 0xfb753936, "pci_enable_device" },
	{ 0x28ad5337, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x45e9c2c, "v4l2_ctrl_add_handler" },
	{ 0x9be17d26, "v4l2_i2c_new_subdev_board" },
	{ 0xfae28984, "cx88_set_scale" },
	{ 0x15284aee, "vb2_ops_wait_finish" },
	{ 0x62397af2, "__pci_register_driver" },
	{ 0x3c033bb1, "cx88_shutdown" },
	{ 0x88cf3096, "cx88_vdev_init" },
	{ 0xf5a6c56, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x5be4fb56, "vb2_ioctl_querybuf" },
	{ 0x47c0c9e, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2da24ec7, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x7dd2bbe3, "cx88_core_irq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x41de2a66, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x237ae170, "wake_up_process" },
	{ 0x18dff31, "cx88_core_get" },
	{ 0x2a39bc09, "cx88_get_stereo" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xcdcbc6e8, "cx88_ir_stop" },
	{ 0xbfcce990, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf55b511f, "video_devdata" },
	{ 0xd0109def, "cx88_set_tvnorm" },
	{ 0xc11bcf32, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xd280b0ee, "v4l2_ctrl_find" },
	{ 0x52f3bd41, "cx88_ir_start" },
	{ 0x4db0e2ec, "__v4l2_ctrl_s_ctrl" },
	{ 0xb98b1116, "vb2_plane_cookie" },
	{ 0xe1bbf08d, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa3cb984a, "cx88_risc_buffer" },
	{ 0x3930b37c, "v4l2_fh_release" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x40dd3dbc, "cx88_set_stereo" },
	{ 0xbd6bb229, "vb2_buffer_done" },
	{ 0x2f1578cd, "v4l2_ctrl_subscribe_event" },
	{ 0xb5616f47, "video_unregister_device" },
	{ 0xc79e7c86, "kthread_stop" },
	{ 0x6a892665, "i2c_new_client_device" },
	{ 0x56fd5dca, "vb2_ioctl_qbuf" },
	{ 0xbc9ed0a4, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xbc003769, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xe606ec52, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x807b1e43, "vb2_fop_read" },
	{ 0xfc081395, "cx88_sram_channel_dump" },
	{ 0xacd9cc4b, "kthread_create_on_node" },
	{ 0xeea0399, "strscpy" },
	{ 0x8a1d1bfc, "cx88_sram_channel_setup" },
	{ 0x95aa85f3, "dma_free_attrs" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xde3b561f, "__video_register_device" },
	{ 0xcd848d61, "vb2_ops_wait_prepare" },
	{ 0x9ed3f655, "vb2_ioctl_streamon" },
	{ 0x82f3959c, "vb2_fop_poll" },
	{ 0x8cedbb1b, "v4l2_ctrl_new_std" },
	{ 0x8cdaa884, "pci_disable_device" },
	{ 0xc06e3ccb, "dma_set_mask" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xf5a9b637, "v4l2_i2c_new_subdev" },
	{ 0xcfb4a000, "pci_read_config_byte" },
	{ 0x15eb84ed, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3b9981d0, "cx88_newstation" },
	{ 0x481e837b, "v4l2_event_unsubscribe" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x31756ff6, "vb2_ioctl_reqbufs" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EB47061119EEB4C8B5A8C97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
