#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_init_ram, 0x2384c53a, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x49bdc161, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x6555cce6, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x1d2dfa96, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xbfb2a616, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x74379b93, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x293f59e8, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x105f1fc1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3901a488, "__dev_fwnode" },
	{ 0xf2f2a186, "fwnode_property_read_u32_array" },
	{ 0x4cf7d095, "alloc_candev_mqs" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0x39ad3635, "free_candev" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x54a75f04, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9ea9c3a5, "netdev_warn" },
	{ 0xc67a0505, "can_rx_offload_get_echo_skb" },
	{ 0xee8276e4, "can_get_echo_skb" },
	{ 0x4fb0be68, "unregister_candev" },
	{ 0x4750b028, "can_rx_offload_del" },
	{ 0x4d8aa6e5, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x36c744be, "__pm_runtime_resume" },
	{ 0x51c06c9e, "can_rx_offload_add_manual" },
	{ 0x3ca47de3, "register_candev" },
	{ 0xc63240b4, "of_can_transceiver" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0x5702ec9f, "__pm_runtime_idle" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x971e81d6, "netif_napi_add_weight" },
	{ 0x34c2ce44, "netif_tx_wake_queue" },
	{ 0xf48ea9aa, "phy_power_on" },
	{ 0xfccaab18, "open_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfb528ceb, "phy_power_off" },
	{ 0xaa4db2d0, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x804b0d6d, "netdev_err" },
	{ 0xd26c3562, "close_candev" },
	{ 0xcfad12ae, "napi_disable" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd935f59, "napi_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4ab3e292, "pinctrl_pm_select_sleep_state" },
	{ 0x6a34f0ba, "netif_device_detach" },
	{ 0x14ee8115, "pinctrl_pm_select_default_state" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8db83cfc, "netif_device_attach" },
	{ 0xeb619b7e, "can_bus_off" },
	{ 0xec035b60, "alloc_can_err_skb" },
	{ 0x3955103f, "netif_receive_skb" },
	{ 0x1272db8b, "can_rx_offload_queue_timestamp" },
	{ 0x37bd978c, "__dynamic_netdev_dbg" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x920417ca, "can_put_echo_skb" },
	{ 0x552168a5, "kfree_skb_reason" },
	{ 0x986855c5, "can_dropped_invalid_skb" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x89667a28, "netdev_printk" },
	{ 0xba5f3f57, "alloc_canfd_skb" },
	{ 0x71d711b4, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x8afde823, "napi_complete_done" },
	{ 0x2d322175, "napi_schedule_prep" },
	{ 0x4364d871, "__napi_schedule" },
	{ 0xfa26cae2, "can_rx_offload_threaded_irq_finish" },
	{ 0x99d45e16, "ethtool_op_get_ts_info" },
	{ 0x9c1643a6, "can_change_mtu" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "A44AFBAE14E32E7CEA66F37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
