#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x1f98777c, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0xdfefaba7, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x0e2bd548, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x3edd8e04, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0xf000ed81, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x2ae89edb, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0xa759f4e2, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0xd5e847af, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0xd1d3dfef, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x246d8352, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x7b6826c7, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xaccd1a7f, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x85c456ef, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x7dae3727, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x2d432ba6, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x786c8360, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4be9f5d5, "rt2x00queue_get_entry" },
	{ 0x8c74a762, "rt2800_process_rxwi" },
	{ 0xb6ca52a7, "rt2x00lib_beacondone" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x140623ad, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9498f6d4, "rt2800_get_txwi_rxwi_size" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e49ac7a, "hrtimer_cancel" },
	{ 0xfc1e60d9, "rt2800_disable_wpdma" },
	{ 0x60ca5ba0, "rt2800_wait_wpdma_ready" },
	{ 0xf8c416e6, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x2ec2ceb8, "rt2800_txdone" },
	{ 0x5fed601c, "rt2800_txdone_nostatus" },
	{ 0xd58f73fe, "rt2800_txstatus_timeout" },
	{ 0x7ed65ab5, "rt2800_txstatus_pending" },
	{ 0xaf0e4927, "rt2800_probe_hw" },
	{ 0x9a5ecff0, "rt2x00lib_pretbtt" },
	{ 0x1ab0e415, "rt2800_config" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x45007278, "rt2x00mmio_rxdone" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "5F8F70691E993A14E1FB766");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
