#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xc48782fd, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x89b295b8, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x1d960274, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xf1172c65, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x3527431f, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x314e0f92, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x1c4ad6f7, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x84a61825, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x5e08547c, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xa350ec61, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xe1d3215b, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x885b5d44, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x359a015e, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xdc9e33c4, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xd8e0302b, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x912d41c3, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x3d35698c, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xd3e0a1ba, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xc3c8d5cd, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xe2ddb345, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xfbff06d9, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x2da99c10, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x29f4342a, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x7c30b0c4, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xf8bb5d1f, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xeab787f6, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x72e7a790, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xd3749ccb, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xf4f29598, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xc1656a8f, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xdb75c697, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x4a0f2e38, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xa5afaa1f, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xf724d9ca, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x5cdb26b8, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x994349c7, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x48f3219f, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x1d2be02d, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x1e5e05f1, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x5dcf2082, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x61a773aa, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x25bb5e31, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xd296bab9, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x09673497, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x5b676be5, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb2dfa2f3, "iscsi_host_remove" },
	{ 0x36ce8097, "pci_dev_put" },
	{ 0x1b39dba4, "iscsi_host_free" },
	{ 0xb18c19fe, "pci_dev_get" },
	{ 0x4a01775, "iscsi_host_add" },
	{ 0x68d5e3f7, "iscsi_host_alloc" },
	{ 0x76c4dbd9, "scsi_host_put" },
	{ 0x552168a5, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x22bc99a5, "cxgbi_ppm_init" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1f018f1b, "iscsi_conn_queue_xmit" },
	{ 0x3042fd1b, "__kfree_skb" },
	{ 0x670a50b5, "iscsi_tcp_cleanup_task" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x91a47f2a, "cxgbi_ppm_ppod_release" },
	{ 0x56062bc0, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x87f5d62e, "iscsi_tcp_set_max_r2t" },
	{ 0x310cb7e5, "iscsi_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x4831418b, "iscsi_tcp_conn_setup" },
	{ 0x794efb1a, "iscsi_session_setup" },
	{ 0x307199e7, "iscsi_tcp_r2tpool_alloc" },
	{ 0x487a8346, "iscsi_session_teardown" },
	{ 0x6ef612f0, "iscsi_tcp_r2tpool_free" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xeb80a1fc, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xe07623e6, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96898769, "sysfs_format_mac" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8919230a, "iscsi_host_get_param" },
	{ 0x5152e605, "memcmp" },
	{ 0x67765b0b, "iscsi_unregister_transport" },
	{ 0xf6aef7c7, "alloc_pages" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xf69f75d3, "iscsi_conn_failure" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x5558baf2, "iscsi_register_transport" },
	{ 0xbc6f866e, "init_net" },
	{ 0x4a32e540, "ip6_route_output_flags" },
	{ 0x560457ef, "__alloc_skb" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x13c04aa1, "cxgbi_ppm_ppods_reserve" },
	{ 0x5c5e577e, "dma_map_sg_attrs" },
	{ 0x43485e0c, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfdf5e311, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x55a225b, "iscsi_tcp_recv_skb" },
	{ 0x8a475960, "iscsi_lookup_endpoint" },
	{ 0xe02dd5ee, "iscsi_conn_bind" },
	{ 0xdf6a3090, "iscsi_put_endpoint" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xf56328cf, "iscsi_tcp_hdr_recv_prep" },
	{ 0x6a6af8da, "skb_put" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xc46ddcb9, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xab06fd53, "mem_section" },
	{ 0xeb38e784, "page_address" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0x5e5bd4aa, "iscsi_itt_to_ctask" },
	{ 0xad4665ff, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x784695e, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd986134b, "__folio_put" },
	{ 0x4a157dfc, "module_put" },
	{ 0x23ffd515, "iscsi_destroy_endpoint" },
	{ 0xf1e1ce55, "ipv6_dev_get_saddr" },
	{ 0x525508aa, "make_kuid" },
	{ 0x6c6db163, "ip_route_output_flow" },
	{ 0xef93b327, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa5fa82e, "iscsi_create_endpoint" },
	{ 0x7e1a74fd, "__ip_dev_find" },
	{ 0xc06346c8, "param_ops_uint" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "2F0402BB868940AA579B39F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
