#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vbg_get_gdev, "", "");
KSYMTAB_FUNC(vbg_put_gdev, "", "");
KSYMTAB_FUNC(vbg_info, "", "");
KSYMTAB_FUNC(vbg_warn, "", "");
KSYMTAB_FUNC(vbg_err, "", "");
KSYMTAB_FUNC(vbg_err_ratelimited, "", "");
KSYMTAB_FUNC(vbg_hgcm_connect, "", "");
KSYMTAB_FUNC(vbg_hgcm_disconnect, "", "");
KSYMTAB_FUNC(vbg_hgcm_call, "", "");
KSYMTAB_FUNC(vbg_status_code_to_errno, "", "");

SYMBOL_CRC(vbg_get_gdev, 0x447ed89b, "");
SYMBOL_CRC(vbg_put_gdev, 0x88777517, "");
SYMBOL_CRC(vbg_info, 0x569b312f, "");
SYMBOL_CRC(vbg_warn, 0x70cdcbfd, "");
SYMBOL_CRC(vbg_err, 0x260590c0, "");
SYMBOL_CRC(vbg_err_ratelimited, 0x68f1cf1a, "");
SYMBOL_CRC(vbg_hgcm_connect, 0xf6907b93, "");
SYMBOL_CRC(vbg_hgcm_disconnect, 0x956c1dbb, "");
SYMBOL_CRC(vbg_hgcm_call, 0xdc6d7eb7, "");
SYMBOL_CRC(vbg_status_code_to_errno, 0x9c072aa8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x922cc465, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5a6eba8b, "devm_kmalloc" },
	{ 0xfb753936, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x95d87ccb, "vmalloc_to_page" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x62397af2, "__pci_register_driver" },
	{ 0xd4d7ad73, "devm_ioremap" },
	{ 0xb5df3fe6, "devm_input_allocate_device" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x41de2a66, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xaf0b5df2, "__devm_request_region" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34ed252f, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xed639856, "__free_pages" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xb79e8892, "input_set_capability" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0x88bdf555, "vmap" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x1e5159d5, "from_kuid" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4829b4ae, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x4501f306, "input_event" },
	{ 0xab254086, "input_set_abs_params" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6aef7c7, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8cdaa884, "pci_disable_device" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "ACE80FCE988A22AAF15B971");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
