#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ump_endpoint_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive_ump_val, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive, "_gpl", "");
KSYMTAB_FUNC(snd_ump_transmit, "_gpl", "");
KSYMTAB_FUNC(snd_ump_block_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_switch_protocol, "_gpl", "");
KSYMTAB_FUNC(snd_ump_parse_endpoint, "_gpl", "");
KSYMTAB_FUNC(snd_ump_attach_legacy_rawmidi, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_from_ump, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_to_ump, "_gpl", "");

SYMBOL_CRC(snd_ump_endpoint_new, 0x62c11deb, "_gpl");
SYMBOL_CRC(snd_ump_receive_ump_val, 0x39c52716, "_gpl");
SYMBOL_CRC(snd_ump_receive, 0x3a0435a7, "_gpl");
SYMBOL_CRC(snd_ump_transmit, 0x6553b13d, "_gpl");
SYMBOL_CRC(snd_ump_block_new, 0x8ad110b8, "_gpl");
SYMBOL_CRC(snd_ump_switch_protocol, 0x9522e27e, "_gpl");
SYMBOL_CRC(snd_ump_parse_endpoint, 0x4ea7d601, "_gpl");
SYMBOL_CRC(snd_ump_attach_legacy_rawmidi, 0x2ca65518, "_gpl");
SYMBOL_CRC(snd_ump_convert_from_ump, 0x5b39d06f, "_gpl");
SYMBOL_CRC(snd_ump_convert_to_ump, 0xe3590e5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee34d9eb, "snd_rawmidi_receive" },
	{ 0xda3ec1f9, "snd_rawmidi_transmit" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x88018c26, "snd_seq_device_new" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66c78079, "snd_rawmidi_kernel_write" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfca6b525, "snd_rawmidi_new" },
	{ 0x413e2faa, "snd_rawmidi_kernel_open" },
	{ 0x7a832cd0, "snd_rawmidi_set_ops" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x5b9c7cae, "snd_rawmidi_kernel_release" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x626f2cca, "snd_rawmidi_init" },
	{ 0x8e922323, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x11123ab, "snd_device_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0xa05a3f4f, "snd_rawmidi_free" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-seq-device,snd");


MODULE_INFO(srcversion, "99812C19E6783FBBD7A3041");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
