#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x1d7e1f06, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x19e2482c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x68268069, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xd2e4771c, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x8ac28265, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0xaa2c898e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0xe2d2cf0e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x6c32d1f6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x12a607e7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0xb5ba7055, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x86d8d3ad, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0xe7dcfe50, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x9ec8d10e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x7e798168, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x91e9eb54, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x8857c52a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x029faa62, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x60c8bdd9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0xeffdc78c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x1442c253, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x68a17d54, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0xe74322f1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x7dd455c7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xa53a0732, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x5f2d6893, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xda548423, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x81dfe4e2, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xb42eed3d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x019eaee3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xd11e4b50, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x080d5ba4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32e6d78f, "snd_hdac_stream_release" },
	{ 0x22d1039a, "snd_hdac_stream_release_locked" },
	{ 0x28e7f8ed, "snd_hdac_bus_link_power" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x37a0cba, "kfree" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdcb26c10, "snd_hdac_bus_exit" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x634968ac, "put_device" },
	{ 0x9b78a9ab, "snd_hdac_bus_init" },
	{ 0x1592ae00, "snd_hdac_stream_init" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0x907bb6f8, "snd_hdac_device_unregister" },
	{ 0x35a84353, "snd_hdac_stream_assign" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x4f0b57d0, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeeed35aa, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcfd65026, "snd_hdac_bus_init_cmd_io" },
	{ 0x33b69714, "snd_hda_bus_type" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x139338ac, "driver_register" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
