#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x35f2a55b, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x3eb50419, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0xc574cf1e, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x935d72a1, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0xda85009f, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x67b087fc, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x38023748, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xee048330, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x80008c22, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x8b472d60, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x52933fe0, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x9c10b7c3, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x3a8d1efb, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x22572fd9, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x9addae13, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xc3570355, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x08796f0f, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x4eb9d97c, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x0043a3b5, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x6dd21649, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x16700a05, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x79f3dc0c, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xf3dc44a7, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x64cb7a76, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x8fed4916, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x863776a9, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x69450460, "snd_soc_component_force_enable_pin" },
	{ 0xfa311533, "firmware_request_nowarn" },
	{ 0x7e9d89b4, "cs_dsp_cleanup_debugfs" },
	{ 0xad99a563, "cs_dsp_coeff_read_ctrl" },
	{ 0x3a3b1807, "snd_compr_stop_error" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x3a858533, "cs_dsp_stop" },
	{ 0x8ef804b8, "cs_dsp_adsp1_power_up" },
	{ 0xb15040b2, "cs_dsp_adsp1_power_down" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xc7d07c3d, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5ef77a9, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf03677f5, "cs_dsp_init_debugfs" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xc7dc5934, "cs_dsp_halo_bus_error" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b6d700c, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x2b6ed2b8, "cs_dsp_find_alg_region" },
	{ 0x826d6aa2, "cs_dsp_coeff_write_acked_control" },
	{ 0xca0a8338, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xaf67444b, "cs_dsp_get_ctl" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x932853f1, "cs_dsp_halo_init" },
	{ 0x2c6c8902, "cs_dsp_power_down" },
	{ 0xef441db4, "cs_dsp_adsp2_init" },
	{ 0xaada89d1, "snd_soc_add_component_controls" },
	{ 0xc4ec4617, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xc47ba369, "cs_dsp_set_dspclk" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x34447a7, "cs_dsp_power_up" },
	{ 0xd7c04221, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x7707860b, "cs_dsp_run" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x8fe7da7d, "cs_dsp_write_data_word" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6ba54179, "cs_dsp_halo_wdt_expire" },
	{ 0xa124f955, "snd_soc_component_disable_pin" },
	{ 0x2375609e, "snd_soc_bytes_tlv_callback" },
	{ 0xf5874307, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x553645bd, "cs_dsp_read_raw_data_block" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xcb25a020, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,cs_dsp,snd-compress");


MODULE_INFO(srcversion, "F4946440B2FFCD8C5353E28");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
