#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f436d91, "set_capacity_and_notify" },
	{ 0x403b7839, "atomic64_dec_return_cx8" },
	{ 0x57a713eb, "filp_open" },
	{ 0xdca7250f, "__blk_alloc_disk" },
	{ 0x177fff7, "crypto_comp_decompress" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0x924c46f8, "zs_unmap_object" },
	{ 0x8fab1a09, "__bio_add_page" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xc06346c8, "param_ops_uint" },
	{ 0x85764c27, "blk_queue_logical_block_size" },
	{ 0x1455a1fd, "crypto_alloc_base" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8235805b, "memmove" },
	{ 0x2ddcf50b, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6cd17e49, "zs_pool_stats" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x13a3c582, "crypto_comp_compress" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdee45ce0, "bio_end_io_acct_remapped" },
	{ 0xcbe56bc2, "zs_get_total_pages" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb1fd36d1, "crypto_destroy_tfm" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xeaa5f5ec, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x3bade8d2, "put_disk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4aa28e89, "blk_queue_physical_block_size" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xfc34bc48, "sync_blockdev" },
	{ 0x738803e6, "strnlen" },
	{ 0xab08b5cb, "blk_queue_flag_set" },
	{ 0xe3eb29d6, "blkdev_put" },
	{ 0xed639856, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x27691183, "submit_bio" },
	{ 0xfeacf053, "bio_start_io_acct" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xc46ddcb9, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x10d2b7ba, "bio_endio" },
	{ 0x94f0e83, "down_write" },
	{ 0xbd0650de, "up_write" },
	{ 0x33ef0118, "__cpuhp_setup_state" },
	{ 0xd30d35c, "simple_open" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8335197b, "blkdev_get_by_dev" },
	{ 0x35e282ff, "set_capacity" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xbcf1f0e6, "zs_create_pool" },
	{ 0x4c8e4663, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0xb68c8a57, "bio_chain" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x57e9486d, "__cpuhp_state_add_instance" },
	{ 0x85b31dcb, "class_unregister" },
	{ 0xb5ab86e9, "atomic64_sub_return_cx8" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x6d26e17c, "del_gendisk" },
	{ 0x535e356c, "blk_queue_max_discard_sectors" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xda10c72b, "default_llseek" },
	{ 0xa033d747, "next_arg" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x22e3e58a, "bio_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x958df3ac, "zs_free" },
	{ 0x463c69fc, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5957cddb, "zs_lookup_class_index" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0xeea0399, "strscpy" },
	{ 0x89e2d02d, "debugfs_create_file" },
	{ 0x5da67adc, "zs_compact" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x466fffc, "blk_queue_max_write_zeroes_sectors" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x5c1378a9, "file_path" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xf6aef7c7, "alloc_pages" },
	{ 0x654a7385, "filp_close" },
	{ 0x2950b9d4, "blk_queue_io_min" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7a7f1396, "zs_malloc" },
	{ 0xc69b7ee5, "zs_destroy_pool" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x27864d57, "memparse" },
	{ 0x68b0eeb1, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x354a4cd3, "bio_alloc_bioset" },
	{ 0x6f6e231d, "blk_queue_io_opt" },
	{ 0x4dc0300, "up_read" },
	{ 0x51cdc608, "submit_bio_wait" },
	{ 0xad26aad1, "class_register" },
	{ 0x8041d948, "__cpuhp_remove_state" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc341ae6d, "zs_map_object" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x4b1e20bd, "fs_bio_set" },
	{ 0x194132fa, "zs_huge_class_size" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "696FCD6E22193A4C9C75FBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
