#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x468d2844, "vmbus_driver_unregister" },
	{ 0x57bbfbfa, "drm_open" },
	{ 0xe89416ce, "drm_poll" },
	{ 0xb77bb7ea, "drm_dev_enter" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x723fea2, "drm_plane_enable_fb_damage_clips" },
	{ 0x65b45cb, "complete" },
	{ 0xdcf603db, "drm_gem_shmem_dumb_create" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa5abbee2, "drm_gem_prime_mmap" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x44a69217, "drm_atomic_helper_shutdown" },
	{ 0x62397af2, "__pci_register_driver" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x127bac42, "vmbus_sendpacket" },
	{ 0xc49d2d5e, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0x39b1456c, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x24ed4c97, "drm_gem_prime_handle_to_fd" },
	{ 0x1b0cae61, "drmm_mode_config_init" },
	{ 0xaef630c0, "vmbus_close" },
	{ 0x41de2a66, "pci_unregister_driver" },
	{ 0x44fc332c, "vmbus_recvpacket" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf937d075, "drm_add_modes_noedid" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4963b5be, "drm_atomic_helper_commit" },
	{ 0x32b4ab, "drm_atomic_helper_check" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x69ddff3a, "drm_atomic_helper_connector_destroy_state" },
	{ 0x1314889c, "drm_gem_mmap" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0x697b9384, "drm_ioctl" },
	{ 0x51159b70, "drm_gem_prime_fd_to_handle" },
	{ 0x8d299f07, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0xa99f580b, "drm_dev_unplug" },
	{ 0x28d1a996, "drm_connector_init" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0xfb486214, "drm_mode_config_helper_suspend" },
	{ 0x729519ab, "vmbus_open" },
	{ 0xce35d7ad, "drm_atomic_helper_damage_merged" },
	{ 0x4094267f, "noop_llseek" },
	{ 0xaa26b2ce, "drm_read" },
	{ 0x217ea2c0, "drm_gem_fb_create_with_dirty" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xe5f6112b, "__devm_drm_dev_alloc" },
	{ 0x6f0af71f, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x791ecb19, "drm_fbdev_generic_setup" },
	{ 0xc69a5b79, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xaeaea2c4, "drm_simple_display_pipe_init" },
	{ 0xab3713ec, "drm_connector_cleanup" },
	{ 0x7514362d, "drm_fb_memcpy" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0x8fdbda1b, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0xfcb74b08, "__vmbus_driver_register" },
	{ 0xc5fc79e3, "drm_helper_probe_single_connector_modes" },
	{ 0xc0ed08f4, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0xd217429a, "drm_set_preferred_mode" },
	{ 0xc46d0484, "drm_atomic_helper_connector_reset" },
	{ 0x1701c8fd, "vmbus_allocate_mmio" },
	{ 0x61e92324, "drm_mode_config_reset" },
	{ 0x63f093fd, "drm_mode_config_helper_resume" },
	{ 0xe807df69, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0xbb6ad769, "drm_dev_register" },
	{ 0x7eeb1ce2, "drm_release" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:02780ada77e3ac4a8e770558eb1073f8");
MODULE_ALIAS("pci:v00001414d00005353sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "45F6789109A336B0995D83D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
