#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_add_clients_from_dt, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0xa0234d76, "_gpl");
SYMBOL_CRC(hsi_add_clients_from_dt, 0xcdbb51ee, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x259995a3, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0x6ae31fc0, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0x1eb09a64, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0x51629df9, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x7672f887, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0xf64dedc8, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0x3e87b918, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0xa1ed097e, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0xfc04a1ba, "_gpl");
SYMBOL_CRC(hsi_async, 0x130d69ff, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0xee747f41, "_gpl");
SYMBOL_CRC(hsi_release_port, 0x9409d0e2, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0x448908bd, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0x94aac6fb, "_gpl");
SYMBOL_CRC(hsi_event, 0x6e9f41c7, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0x930c1896, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd2f1672e, "try_module_get" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0x142b0cea, "of_alias_from_compatible" },
	{ 0xb865e254, "of_property_read_variable_u32_array" },
	{ 0xdd296174, "dev_set_name" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x141cbafb, "device_unregister" },
	{ 0x4ad34ed, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54498a0b, "device_for_each_child" },
	{ 0x2227f1eb, "of_get_next_available_child" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc6e7a086, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x439cfd18, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x634968ac, "put_device" },
	{ 0x4a157dfc, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x9bb19b46, "of_match_device" },
	{ 0x6d6d9940, "bus_unregister" },
	{ 0x6d006732, "device_add" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xbd346fe3, "of_property_read_string" },
	{ 0x41c490ae, "of_find_property" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x34e2728b, "device_register" },
	{ 0xd949d4f9, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5cb9b25b, "blocking_notifier_chain_unregister" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x4d00ea91, "of_property_read_u32_index" },
	{ 0x139338ac, "driver_register" },
	{ 0x4dd58c3e, "of_property_read_string_helper" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x7e16ccd0, "bus_register" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "048DAFF41E657ED78CB3D19");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
