#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x40fc1699, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x32f5163e, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xa573d47f, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x3ed890b4, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x4017ff08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4942a18d, "__do_once_done" },
	{ 0xb51a65bb, "ip6_route_input_lookup" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd267bf34, "dev_pre_changeaddr_notify" },
	{ 0x1f5620ed, "dev_mc_sync" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x603ed03b, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe0393b79, "netdev_update_features" },
	{ 0xd07e26a6, "consume_skb" },
	{ 0x982745f, "ip6_local_out" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8d0a7e7c, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfff0b9af, "rtnl_link_register" },
	{ 0xd3d0456f, "netif_inherit_tso_max" },
	{ 0x8c8bfa70, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0x6c6db163, "ip_route_output_flow" },
	{ 0xfa700092, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7677e515, "dev_uc_unsync" },
	{ 0x78a74359, "ether_setup" },
	{ 0x804b0d6d, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67adf54a, "netdev_upper_dev_link" },
	{ 0x9d1e5813, "register_pernet_subsys" },
	{ 0xd7538f62, "dev_addr_mod" },
	{ 0x7fbb8382, "netdev_core_stats_alloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x974744e4, "eth_header_parse" },
	{ 0xfc75999a, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xb7ecf50c, "eth_header_cache_update" },
	{ 0xfe6efc88, "nf_register_net_hooks" },
	{ 0x4a32e540, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x40323cf6, "ip_route_input_noref" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xec695e5b, "__dev_get_by_index" },
	{ 0x370d6080, "rtnl_link_unregister" },
	{ 0x19645d37, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x687dc74a, "netif_stacked_transfer_operstate" },
	{ 0x552168a5, "kfree_skb_reason" },
	{ 0x9f2083dc, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x73c98683, "ns_capable" },
	{ 0x749ff65a, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20c72e07, "ethtool_op_get_link" },
	{ 0x18d04cca, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa028ec5b, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc512557d, "__pskb_pull_tail" },
	{ 0xd46f3cf0, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x293f0009, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x410876ee, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8ba616c2, "vlan_vid_add" },
	{ 0x1c12e766, "call_netdevice_notifiers" },
	{ 0x537144b8, "vlan_vid_del" },
	{ 0x8f7a6feb, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x96988f31, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xad4665ff, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3159fb1f, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xb40063d6, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x92feb0e1, "dev_mc_unsync" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd5e8bc57, "dev_change_flags" },
	{ 0x954dbed4, "dev_forward_skb" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x97f62ddc, "register_netdevice" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ACABF95A977E7279CD53C49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
