#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x851e871c, "");
SYMBOL_CRC(alloc_libipw, 0xe5a44274, "");
SYMBOL_CRC(free_libipw, 0x3f538821, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x00a5adcf, "");
SYMBOL_CRC(libipw_txb_free, 0x3e87464b, "");
SYMBOL_CRC(libipw_rx_any, 0x63b6a46e, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x5f95a231, "");
SYMBOL_CRC(libipw_rx, 0xb6eac221, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xb91aa6fe, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x4295f4fa, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x621f638c, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x9c0f5665, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xe921441a, "");
SYMBOL_CRC(libipw_get_channel, 0x8cc92b1b, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x879726a1, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x9eecdc73, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x28352cc1, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xe26a9b13, "");
SYMBOL_CRC(libipw_channel_to_index, 0xa5d48d83, "");
SYMBOL_CRC(libipw_set_geo, 0x90de8b31, "");
SYMBOL_CRC(libipw_get_geo, 0x3a95b8e2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3c86e6, "alloc_etherdev_mqs" },
	{ 0xd2f1672e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x6a6af8da, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf342e5b6, "proc_create" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2306474c, "seq_lseek" },
	{ 0xe5093fe4, "dev_kfree_skb_irq_reason" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x674406bf, "eth_type_trans" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5bb5cb3c, "wiphy_new_nm" },
	{ 0x5aa1d1a, "lib80211_crypt_info_init" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x63b55903, "lib80211_get_crypto_ops" },
	{ 0xbc6f866e, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x19645d37, "skb_pull" },
	{ 0x8dbae236, "skb_push" },
	{ 0x62cf6161, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2be60cef, "proc_mkdir" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x5e0a4cee, "wireless_spy_update" },
	{ 0xd46f3cf0, "netif_rx" },
	{ 0xbabbd58b, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ca8e8fe, "seq_read" },
	{ 0x8260859, "lib80211_crypt_info_free" },
	{ 0x6722ec62, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e922323, "seq_printf" },
	{ 0x497410c5, "lib80211_crypt_delayed_deinit" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2003ef89, "single_release" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x84925f7b, "dev_kfree_skb_any_reason" },
	{ 0x15eb84ed, "param_ops_int" },
	{ 0x9f3ccb58, "single_open" },
	{ 0x10c0a1fe, "wiphy_free" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "5511E2CCF2641E03BC0BAC6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
