#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xab860b1a, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x9f482d06, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x525a09d5, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x222a9071, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x91061f41, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x92eaf28a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x2132b829, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xc66e8c4c, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xb9e65168, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x442873b3, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x43d7fbe6, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x2bc9dc60, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x474260b0, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xc0737ffd, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x32b089c3, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xc86498f5, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xeba653aa, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x445f6cb2, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x67d7f39c, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x92320b15, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xf8643bb4, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x44fca374, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x99d1e407, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x401fc096, "_gpl");
SYMBOL_CRC(mt76_rx, 0xeb0face2, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x83687a9c, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x5eb05a3b, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x4d76bf10, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xb224985c, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xabc126b9, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x47582330, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xb3a8690d, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x8ffd1ed9, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x349e06e6, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xaace5a97, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x64795f61, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xf84798a3, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x70afd5ce, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xd3eb4f51, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x85813ded, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x1b348406, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x715e1aeb, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x60062d35, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x1618c6bf, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x382f401a, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x34888dc5, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x9bd7b446, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x3237dfd1, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x4d91b6a7, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xdbc381f0, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x4e653a98, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xaaef0b32, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x266308fe, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x47eaea8c, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xeb464b08, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xe2ad1d8b, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x98297de2, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x5d0aef0d, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x209e5869, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x3fddbfd4, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xda17e5fa, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xad1a7c37, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x319a9446, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xf1677ae8, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xf85160c0, "_gpl");
SYMBOL_CRC(mt76_tx, 0xa02f495c, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x529a284c, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x46178e2b, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x87cd0522, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xa654604f, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xc8094428, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x7ebc34e5, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x2be67a24, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xa5a14193, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x961a0b15, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xeefb5e04, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xd38a8bae, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x558264cd, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xff80de95, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x04fd17ba, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x83f423a3, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xe7e8f466, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x595107fc, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xdf5abfcb, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x86f37f39, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xa74e99e3, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x00794a1a, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xb3f08656, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18fdfba3, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe27c4019, "pcie_capability_read_word" },
	{ 0xeed6944, "__skb_pad" },
	{ 0x74ad936, "page_pool_get_stats" },
	{ 0x968bb0ad, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9582b296, "__ieee80211_schedule_txq" },
	{ 0xabda6309, "debugfs_attr_write" },
	{ 0x5a6eba8b, "devm_kmalloc" },
	{ 0xacb2161, "of_node_put" },
	{ 0x6a6af8da, "skb_put" },
	{ 0xb865e254, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x89c731e5, "page_pool_alloc_frag" },
	{ 0xd07e26a6, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x971e81d6, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf55cf072, "dmam_alloc_attrs" },
	{ 0x1ddcaa49, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x2e6c30e5, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x19e28e4e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe2bc641b, "ieee80211_free_hw" },
	{ 0xdaa37bf7, "dma_unmap_page_attrs" },
	{ 0x2e5c9a70, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3325044d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x828d331, "dma_sync_single_for_device" },
	{ 0xfe812cb6, "skb_add_rx_frag" },
	{ 0xc6b7cb2a, "ieee80211_tx_status_ext" },
	{ 0x70324ae, "debugfs_create_blob" },
	{ 0x383c15a8, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x81a649cb, "page_pool_destroy" },
	{ 0x3e2ea4a0, "ieee80211_register_hw" },
	{ 0xbd44f4c4, "led_classdev_unregister" },
	{ 0x38cf25b9, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2c42581a, "ieee80211_sta_eosp" },
	{ 0xf376f02b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xefdb2bd1, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x1c291c18, "kthread_park" },
	{ 0xeacc10e9, "sched_set_fifo_low" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x237ae170, "wake_up_process" },
	{ 0xc83aa0c9, "dev_driver_string" },
	{ 0x671ea068, "trace_event_buffer_commit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2f8946dc, "dma_map_page_attrs" },
	{ 0x8afde823, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x631dd4fd, "ieee80211_get_tx_rates" },
	{ 0x5b5ee13b, "ieee80211_send_bar" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xa173f0ac, "ieee80211_sta_uapsd_trigger" },
	{ 0xc8bfd060, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x343324f7, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x560457ef, "__alloc_skb" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xfa98962, "pci_disable_link_state" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0x4fffdfe1, "napi_gro_receive" },
	{ 0x9337923a, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x3dc1d53f, "skb_queue_tail" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xbe5416cf, "dev_set_threaded" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xfada4b79, "of_get_child_by_name" },
	{ 0xc7506a5e, "debugfs_attr_read" },
	{ 0x7513b5ec, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4b01b51f, "ieee80211_queue_delayed_work" },
	{ 0x2e32166c, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xaaac493a, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa384758e, "of_prop_next_string" },
	{ 0x80321b18, "debugfs_create_file_unsafe" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x4afed173, "simple_attr_release" },
	{ 0xd4657cf3, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3bc92a37, "ieee80211_find_sta_by_ifaddr" },
	{ 0x11cd6adc, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x696ac8cd, "pcie_capability_clear_and_set_word_locked" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x8dbae236, "skb_push" },
	{ 0xd935f59, "napi_enable" },
	{ 0xbd2671f2, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1d6b8c26, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1108a38e, "ieee80211_sta_pspoll" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0xf899d364, "wiphy_read_of_freq_limits" },
	{ 0x41c490ae, "of_find_property" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc79e7c86, "kthread_stop" },
	{ 0xaba0f2df, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x21447b8c, "ieee80211_alloc_hw_nm" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xacd9dda1, "ieee80211_tx_dequeue" },
	{ 0xa331fec2, "ieee80211_rx_list" },
	{ 0x2ced2515, "dma_sync_single_for_cpu" },
	{ 0x8d6b78ed, "page_pool_create" },
	{ 0xe0621530, "page_pool_put_defragged_page" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4de9514f, "debugfs_create_u32" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xacd9cc4b, "kthread_create_on_node" },
	{ 0xe7534017, "cfg80211_reg_can_beacon" },
	{ 0x9f69ba59, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8c0f0785, "trace_event_buffer_reserve" },
	{ 0xba5daf79, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4cb5c91d, "ieee80211_unregister_hw" },
	{ 0x8e7db953, "napi_build_skb" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e922323, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x95e8cf69, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xeb38e784, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0x2d0b8545, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x826f5838, "debugfs_create_u8" },
	{ 0x68b0eeb1, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2a5431ad, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0xc6175144, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "0160CCB4C456AAB22FF26F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
