#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_DATA(rtw89_debug_mask, "", "");
KSYMTAB_FUNC(__rtw89_debug, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x386c9e1e, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x4349509e, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xf4556a29, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x7daff2f0, "");
SYMBOL_CRC(rtw89_core_rx, 0x24105dd9, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xa2257d31, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x5307808b, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x3bbc6e6b, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0xb54fa959, "");
SYMBOL_CRC(rtw89_core_init, 0xe60e215e, "");
SYMBOL_CRC(rtw89_core_deinit, 0xc8b7a37a, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x18e16247, "");
SYMBOL_CRC(rtw89_core_register, 0xba88bc91, "");
SYMBOL_CRC(rtw89_core_unregister, 0x64634a9e, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x8cc3c366, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xd947a95a, "");
SYMBOL_CRC(rtw89_ops, 0x90ff7095, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xd4753c30, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xce02ce82, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xbd47c6e6, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x3f22f669, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x0e0fe8f1, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x2a8e32e4, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x10f91f5c, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xcf4cc187, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0x78d34889, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x2a78878c, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x642beed9, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xedf6cea1, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x9c5cf1e9, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xb5e91c92, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x9f8acca0, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xcaf563b8, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0x75f74f00, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0xeb1d4937, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xc896f7cd, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xe2aa4eb3, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0xe66937f4, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x43863d1a, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xfdb16b93, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x7de37dc5, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xadfd792b, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x8796ad2a, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x3ff7a7b7, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xc07c7f21, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x3b87381a, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x00ba0136, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0xd3f4901e, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0xe4a3fb28, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0x37fbd47c, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x590c3912, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x811bac7c, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xb3509424, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x266ec9a2, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x2441d305, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xe04a9df2, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x3ed4dbf7, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x6f600a21, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xb28f48f8, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x0b668f69, "");
SYMBOL_CRC(rtw89_ser_notify, 0xa2c6bbee, "");
SYMBOL_CRC(rtw89_debug_mask, 0xe3f57b04, "");
SYMBOL_CRC(__rtw89_debug, 0xe9e7fbf1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb54b4d92, "ieee80211_stop_tx_ba_session" },
	{ 0xa8f5df77, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x202920a2, "ieee80211_connection_loss" },
	{ 0x60264568, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x74b1a3d3, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9582b296, "__ieee80211_schedule_txq" },
	{ 0x689196c9, "ieee80211_txq_get_depth" },
	{ 0xc06346c8, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x941f3b81, "cfg80211_bss_iter" },
	{ 0x6a6af8da, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd07e26a6, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x971e81d6, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe2bc641b, "ieee80211_free_hw" },
	{ 0x4719fdd, "ieee80211_probereq_get" },
	{ 0x2e5c9a70, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6df20176, "request_firmware" },
	{ 0x8e3d5fd5, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb320101, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2f91924d, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x6faa710d, "ieee80211_nullfunc_get" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0x2306474c, "seq_lseek" },
	{ 0xe77b7713, "ieee80211_pspoll_get" },
	{ 0x3e2ea4a0, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7f7938eb, "ieee80211_restart_hw" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xefdb2bd1, "__netif_napi_del" },
	{ 0xd45ddb66, "kstrtobool_from_user" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x34ca145c, "kstrtou8_from_user" },
	{ 0x3bc425d5, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x4364d871, "__napi_schedule" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x89f1d53f, "_dev_info" },
	{ 0x3dc1d53f, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x5e8970ed, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x1953f5c8, "wiphy_to_ieee80211_hw" },
	{ 0x4b01b51f, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xd30d35c, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x11cd6adc, "ieee80211_next_txq" },
	{ 0x552168a5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6b9821ef, "ieee80211_remain_on_channel_expired" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x8dbae236, "skb_push" },
	{ 0xd935f59, "napi_enable" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xdeb8d8d4, "ieee80211_wake_queues" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x4b846341, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x73af8ff4, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xa867f06f, "dev_coredumpv" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x21447b8c, "ieee80211_alloc_hw_nm" },
	{ 0xacd9dda1, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbabbd58b, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xf3f877ed, "ieee80211_ready_on_channel" },
	{ 0x58961cd4, "ieee80211_stop_queues" },
	{ 0xbbb1b700, "skb_unlink" },
	{ 0x9ca8e8fe, "seq_read" },
	{ 0x89e2d02d, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd82d4707, "ieee80211_scan_completed" },
	{ 0xba5daf79, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb411a0e8, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4cb5c91d, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e922323, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x811f8a0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x910e30f0, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xb50a5c72, "ieee80211_cqm_rssi_notify" },
	{ 0x95e8cf69, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2003ef89, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x81617826, "ieee80211_queue_work" },
	{ 0x2d322175, "napi_schedule_prep" },
	{ 0xcfad12ae, "napi_disable" },
	{ 0x84925f7b, "dev_kfree_skb_any_reason" },
	{ 0xe07623e6, "_dev_printk" },
	{ 0x9f3ccb58, "single_open" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x68b0eeb1, "debugfs_create_dir" },
	{ 0x2a5431ad, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xa3b31ad0, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "DDA9452BEE8765EE6E2FF00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
