#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(dead_socket, "", "");
KSYMTAB_DATA(pcmcia_socket_list, "", "");
KSYMTAB_DATA(pcmcia_socket_list_rwsem, "", "");
KSYMTAB_FUNC(pcmcia_get_socket, "", "");
KSYMTAB_FUNC(pcmcia_put_socket, "", "");
KSYMTAB_FUNC(pcmcia_register_socket, "", "");
KSYMTAB_FUNC(pcmcia_unregister_socket, "", "");
KSYMTAB_FUNC(pcmcia_get_socket_by_nr, "", "");
KSYMTAB_FUNC(pcmcia_parse_events, "", "");
KSYMTAB_FUNC(pcmcia_parse_uevents, "", "");
KSYMTAB_FUNC(pccard_register_pcmcia, "", "");
KSYMTAB_FUNC(pcmcia_reset_card, "", "");
KSYMTAB_DATA(pcmcia_socket_class, "", "");

SYMBOL_CRC(dead_socket, 0xcf97f3bd, "");
SYMBOL_CRC(pcmcia_socket_list, 0x212db8d2, "");
SYMBOL_CRC(pcmcia_socket_list_rwsem, 0x9d3d614f, "");
SYMBOL_CRC(pcmcia_get_socket, 0x2ac74011, "");
SYMBOL_CRC(pcmcia_put_socket, 0x7d27415a, "");
SYMBOL_CRC(pcmcia_register_socket, 0x79a3e647, "");
SYMBOL_CRC(pcmcia_unregister_socket, 0x1c55bdad, "");
SYMBOL_CRC(pcmcia_get_socket_by_nr, 0x5406a939, "");
SYMBOL_CRC(pcmcia_parse_events, 0x40a2d3c0, "");
SYMBOL_CRC(pcmcia_parse_uevents, 0x581abbd4, "");
SYMBOL_CRC(pccard_register_pcmcia, 0x9b2efc6a, "");
SYMBOL_CRC(pcmcia_reset_card, 0xbd3cc0d6, "");
SYMBOL_CRC(pcmcia_socket_class, 0xd27a36c7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x69f6dab6, "pci_bus_size_bridges" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdd296174, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x141cbafb, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe682a442, "get_device" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x237ae170, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x4292364c, "schedule" },
	{ 0x171e11d4, "pci_scan_bridge" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x634968ac, "put_device" },
	{ 0xc6143eeb, "pci_scan_slot" },
	{ 0x94f0e83, "down_write" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0xbd0650de, "up_write" },
	{ 0xb96314c2, "pci_bus_add_devices" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x85b31dcb, "class_unregister" },
	{ 0x67982f52, "sysfs_create_group" },
	{ 0xc79e7c86, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xcb65a127, "freezing_slow_path" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x34e2728b, "device_register" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x463c69fc, "down_read" },
	{ 0xacd9cc4b, "kthread_create_on_node" },
	{ 0xffe78356, "sysfs_remove_group" },
	{ 0x98c4f0df, "_dev_notice" },
	{ 0xdd947704, "pci_bus_assign_resources" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x2504e369, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdf4e298f, "pci_fixup_cardbus" },
	{ 0xeae4a6db, "pci_stop_and_remove_bus_device" },
	{ 0x4233b126, "pci_set_cacheline_size" },
	{ 0xcfb4a000, "pci_read_config_byte" },
	{ 0x15eb84ed, "param_ops_int" },
	{ 0x4dc0300, "up_read" },
	{ 0xad26aad1, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8AF4FD39DC9CC9011656914");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
