#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0xcac0e7df, "");
SYMBOL_CRC(rpmsg_create_channel, 0x57f3a1eb, "");
SYMBOL_CRC(rpmsg_release_channel, 0x22d0c984, "");
SYMBOL_CRC(rpmsg_create_ept, 0xa4323a97, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x7c2734f8, "");
SYMBOL_CRC(rpmsg_send, 0x028833dd, "");
SYMBOL_CRC(rpmsg_sendto, 0x18a913a8, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x0160201c, "");
SYMBOL_CRC(rpmsg_trysend, 0x7cf8aaab, "");
SYMBOL_CRC(rpmsg_trysendto, 0x4506eb3f, "");
SYMBOL_CRC(rpmsg_poll, 0xee42d491, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0x5c71e256, "");
SYMBOL_CRC(rpmsg_get_mtu, 0xa7d044ba, "");
SYMBOL_CRC(rpmsg_find_device, 0xd98c3531, "");
SYMBOL_CRC(rpmsg_register_device_override, 0xbbcf259e, "");
SYMBOL_CRC(rpmsg_register_device, 0x41a0486d, "");
SYMBOL_CRC(rpmsg_unregister_device, 0x38c7c39b, "");
SYMBOL_CRC(__register_rpmsg_driver, 0xc97c064b, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x821c11e2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0x28849837, "device_find_child" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9bb19b46, "of_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfc3f3589, "strscpy_pad" },
	{ 0xdd296174, "dev_set_name" },
	{ 0x4ad34ed, "device_initialize" },
	{ 0xd0d8621b, "strlen" },
	{ 0x59e572cc, "driver_set_override" },
	{ 0x6d006732, "device_add" },
	{ 0x37a0cba, "kfree" },
	{ 0x634968ac, "put_device" },
	{ 0x49f26466, "kstrndup" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x141cbafb, "device_unregister" },
	{ 0x139338ac, "driver_register" },
	{ 0x4f0b57d0, "driver_unregister" },
	{ 0xbed984eb, "class_create" },
	{ 0x7e16ccd0, "bus_register" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xaade6c4e, "class_destroy" },
	{ 0x6d6d9940, "bus_unregister" },
	{ 0x16eaecac, "of_device_uevent_modalias" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xee601f85, "of_device_modalias" },
	{ 0xbd1eb0ab, "dev_pm_domain_detach" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x579e7a85, "dev_pm_domain_attach" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CB3CA5788CB269A9ED422AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
