#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xa1f66f43, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xe9484704, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x32ca538a, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xdc23da7a, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xdee7439d, "");
SYMBOL_CRC(fuse_abort_conn, 0x38ad0ade, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x7d9ccf48, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x14e52a12, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x6fcdf753, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xe04ade63, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x6f336b97, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x3ac5f1be, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xea963ec6, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x95998138, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x46de5e18, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x560dc7b5, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xd8b0e20e, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xf1e0a6ba, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x8018a0a1, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xa7417cd0, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xc4f31cc0, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x77f508f0, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x7be48ce2, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xf23291c6, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x5ceec6d9, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x7b4e44c7, "");
SYMBOL_CRC(fuse_do_ioctl, 0x73bd6620, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56f8a266, "super_setup_bdi_name" },
	{ 0x709bcae, "posix_test_lock" },
	{ 0x22d620a3, "truncate_inode_pages" },
	{ 0x72d47676, "generic_copy_file_range" },
	{ 0xc76aa04b, "noop_backing_dev_info" },
	{ 0x7ceeacdb, "pipe_lock" },
	{ 0x2cc319d4, "generic_fillattr" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xbf109a97, "vfs_fsync_range" },
	{ 0x7827b711, "setattr_prepare" },
	{ 0xd444737b, "clear_nlink" },
	{ 0xbb8f1baf, "file_check_and_advance_wb_err" },
	{ 0x44c48792, "d_alloc_parallel" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0x158255bd, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x922cc465, "misc_deregister" },
	{ 0x27d518eb, "make_vfsgid" },
	{ 0x3074a201, "clear_inode" },
	{ 0x5e0d6467, "inode_to_bdi" },
	{ 0x49449e61, "find_pid_ns" },
	{ 0x4184b462, "grab_cache_page_write_begin" },
	{ 0xf4f381e8, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1686bd7c, "pipe_unlock" },
	{ 0xfdaae5e1, "fs_param_is_string" },
	{ 0xdeda3ff2, "folio_unlock" },
	{ 0x5b769441, "new_inode" },
	{ 0x39caaae5, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0xea0df9d7, "dump_page" },
	{ 0xa4633e28, "forget_all_cached_acls" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x3128f14d, "init_special_inode" },
	{ 0x4467c680, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x29e5e7a4, "task_active_pid_ns" },
	{ 0x5cd0272d, "iov_iter_single_seg_count" },
	{ 0x737e9cd3, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xddf6c88c, "d_alloc_name" },
	{ 0x765ee00a, "replace_page_cache_folio" },
	{ 0xaac15923, "inode_query_iversion" },
	{ 0xa08a8a64, "iov_iter_advance" },
	{ 0x142a3782, "kill_fasync" },
	{ 0xeb00186a, "d_make_root" },
	{ 0x5b960ca0, "sb_set_blocksize" },
	{ 0x96f8f3d7, "fget" },
	{ 0xbf109e98, "simple_fill_super" },
	{ 0x3bdb41f9, "xas_find" },
	{ 0x54a11beb, "sync_filesystem" },
	{ 0x2b7331c3, "sget_fc" },
	{ 0xc028af46, "param_set_uint" },
	{ 0xe30498ff, "d_splice_alias" },
	{ 0xbcf2d7e, "iov_iter_get_pages2" },
	{ 0x4f25c0bf, "current_time" },
	{ 0x8b06d4db, "direct_write_fallback" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb2090a9, "page_get_link" },
	{ 0x7b70a801, "generic_permission" },
	{ 0xb30f27e1, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x91f71ab2, "invalidate_inode_pages2_range" },
	{ 0x7de6f501, "posix_lock_file" },
	{ 0xeb0a1e80, "finish_open" },
	{ 0x30d14412, "iput" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x7568793f, "logfc" },
	{ 0x4b8f96d2, "iter_file_splice_write" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xa05e119e, "init_pid_ns" },
	{ 0xf6d7c4d5, "iov_iter_init" },
	{ 0xac3adc28, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xf7551d3c, "sysfs_create_mount_point" },
	{ 0x84f3486, "generic_file_write_iter" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x1357b9f9, "register_filesystem" },
	{ 0x29824c5f, "kmem_cache_create" },
	{ 0x7d9fdd0e, "folio_add_lru" },
	{ 0x2162135f, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3f1d3362, "sync_inode_metadata" },
	{ 0x6dbccdfe, "simple_empty" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd14b612, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x23b1dc50, "shrink_dcache_parent" },
	{ 0x841787c9, "get_tree_nodev" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xac6cb3e0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x581f7208, "fs_param_is_u32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x56df3099, "inode_newsize_ok" },
	{ 0x9f7bbc49, "d_drop" },
	{ 0x12e9ff30, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xc207b283, "unlock_new_inode" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xd6f7b45c, "bdi_put" },
	{ 0xce53c9ca, "posix_acl_from_xattr" },
	{ 0x4292364c, "schedule" },
	{ 0xfda1944c, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x525508aa, "make_kuid" },
	{ 0x115ba5e5, "truncate_inode_pages_final" },
	{ 0x740e1a1c, "fs_kobj" },
	{ 0xb978bf72, "__filemap_set_wb_err" },
	{ 0x53101a6a, "simple_dir_operations" },
	{ 0x3aafe24f, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xed639856, "__free_pages" },
	{ 0xc24a9de9, "kmem_cache_alloc" },
	{ 0xe9f4cb68, "put_pid_ns" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0x2803c28d, "setattr_should_drop_suidgid" },
	{ 0xbd139154, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fd99f0d, "copy_page_from_iter_atomic" },
	{ 0x7e0976f2, "fs_context_for_submount" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x2ed5c2ee, "inode_init_once" },
	{ 0x986a0f79, "file_write_and_wait_range" },
	{ 0xc46ddcb9, "__kmap_local_page_prot" },
	{ 0xcf49abcd, "nosteal_pipe_buf_ops" },
	{ 0x666af69, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1d441b97, "inode_nohighmem" },
	{ 0x401e1f2c, "release_pages" },
	{ 0x665d6618, "generic_file_direct_write" },
	{ 0x65259489, "fput" },
	{ 0x94f0e83, "down_write" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e44a0b1, "generic_file_read_iter" },
	{ 0xeaeeb9d4, "inode_maybe_inc_iversion" },
	{ 0x94680fa9, "unlock_page" },
	{ 0xd16c0de4, "inc_node_page_state" },
	{ 0x2845d93, "thp_get_unmapped_area" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x470dffce, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5fe33906, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd4f33b7, "dec_node_page_state" },
	{ 0xccdc60b2, "zero_user_segments" },
	{ 0x8806ad78, "write_cache_pages" },
	{ 0xe030f83b, "file_update_time" },
	{ 0x27571f69, "set_nlink" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x7c4e68aa, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x30b7c202, "from_kgid" },
	{ 0xfb331e4e, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xe5181d54, "file_remove_privs" },
	{ 0xe73048fc, "write_inode_now" },
	{ 0x852c802b, "d_obtain_alias" },
	{ 0x80168a32, "file_modified" },
	{ 0x5544099e, "copy_page_to_iter" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x3a914c9, "finish_no_open" },
	{ 0x60b452f9, "__folio_start_writeback" },
	{ 0xb9bc359e, "kill_litter_super" },
	{ 0x63544029, "folio_end_writeback" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x1e5159d5, "from_kuid" },
	{ 0xf8edd47a, "current_in_userns" },
	{ 0x1e335a5b, "fc_mount" },
	{ 0x420b9629, "sysfs_remove_mount_point" },
	{ 0x4829b4ae, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x9f40c8fd, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xeefab4d8, "d_delete" },
	{ 0xf79ec8da, "from_kgid_munged" },
	{ 0x7ed026d2, "end_page_writeback" },
	{ 0x3c3a0bb6, "kobject_create_and_add" },
	{ 0x463c69fc, "down_read" },
	{ 0x5d7bb9a9, "wb_writeout_inc" },
	{ 0x13e06378, "nonseekable_open" },
	{ 0xc2c69292, "set_page_dirty" },
	{ 0xab389013, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbdf86fa4, "redirty_page_for_writepage" },
	{ 0xe03536a3, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbef4c381, "generic_read_dir" },
	{ 0x3e488bb2, "d_add" },
	{ 0x5cefba8a, "set_page_writeback" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xb411a0e8, "param_ops_bool" },
	{ 0xc137fd11, "init_user_ns" },
	{ 0x6cd3cb45, "d_find_alias" },
	{ 0x13deb850, "invalidate_inode_pages2" },
	{ 0xf6aef7c7, "alloc_pages" },
	{ 0xc03d9438, "inc_nlink" },
	{ 0xd986134b, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5ce348a4, "get_tree_bdev" },
	{ 0xa2abd1b6, "set_anon_super_fc" },
	{ 0x8e922323, "seq_printf" },
	{ 0x2dbfba1d, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0x3e42ca04, "generic_delete_inode" },
	{ 0xb3cd2829, "deactivate_locked_super" },
	{ 0x872a0276, "touch_atime" },
	{ 0xc0923979, "__d_lookup_unhash_wake" },
	{ 0x545de1c7, "set_page_dirty_lock" },
	{ 0x77492bdc, "pid_nr_ns" },
	{ 0xffea450b, "generic_file_open" },
	{ 0x78831db2, "truncate_inode_pages_range" },
	{ 0x99f7dfd9, "__put_user_ns" },
	{ 0x4c60a771, "__folio_lock" },
	{ 0xb32ca4d5, "filemap_dirty_folio" },
	{ 0x324ea548, "pagecache_get_page" },
	{ 0x95e8cf69, "seq_puts" },
	{ 0x9d77437a, "stream_open" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x63e6ea20, "__wake_up_sync" },
	{ 0x65028558, "add_to_pipe" },
	{ 0x8d34726f, "__fs_parse" },
	{ 0x4ac9f6db, "filemap_splice_read" },
	{ 0xc70a2d27, "posix_acl_to_xattr" },
	{ 0xdf13f403, "dget_parent" },
	{ 0x944a5f7, "kill_anon_super" },
	{ 0xd185e2e1, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xdaff3164, "iget5_locked" },
	{ 0x355b83de, "security_dentry_init_security" },
	{ 0xac368fce, "filemap_write_and_wait_range" },
	{ 0xeb38e784, "page_address" },
	{ 0xde6eb9cd, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x41c8e24a, "generic_write_checks" },
	{ 0x68ea9753, "iov_iter_revert" },
	{ 0xdf93cc4f, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfc6735ec, "mntget" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xaf52700e, "kmem_cache_alloc_lru" },
	{ 0x7b7fee4f, "filemap_fault" },
	{ 0xac9313fc, "d_invalidate" },
	{ 0xbfd9d9c8, "__mark_inode_dirty" },
	{ 0x41d3a444, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x4dc0300, "up_read" },
	{ 0x5d7944c5, "iov_iter_npages" },
	{ 0xa7c2721e, "drop_nlink" },
	{ 0x83b221ef, "fault_in_iov_iter_readable" },
	{ 0x3d61906a, "filemap_check_errors" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x56a6a0c5, "bdi_set_max_ratio" },
	{ 0xa6329c9e, "kmem_cache_destroy" },
	{ 0xdcdaa317, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0604A0A441A473BABB66FD4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
