#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xd17cf303, "");
SYMBOL_CRC(jbd2_journal_start, 0xe3eac322, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xd7e3bc29, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xc004854d, "");
SYMBOL_CRC(jbd2__journal_restart, 0x76db2126, "");
SYMBOL_CRC(jbd2_journal_restart, 0x545dc664, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x396cd951, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x29c0fbe0, "");
SYMBOL_CRC(jbd2_journal_extend, 0x4dbb177c, "");
SYMBOL_CRC(jbd2_journal_stop, 0xf67e4dd5, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x7032a5ae, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x58cc19cc, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xb51615b6, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x950ada27, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xc559d28e, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xa29d5aad, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xd5245324, "");
SYMBOL_CRC(jbd2_journal_forget, 0x0ee4978a, "");
SYMBOL_CRC(jbd2_journal_flush, 0xf4f9b312, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xc3bfb0d1, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x429d7c6d, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xb37832aa, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x3008f369, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x2a135b3e, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xabd0e500, "");
SYMBOL_CRC(jbd2_journal_load, 0xe223ad17, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xb4593863, "");
SYMBOL_CRC(jbd2_journal_abort, 0xb942c8c3, "");
SYMBOL_CRC(jbd2_journal_errno, 0x814300ad, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xf09164d5, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xeb3be401, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x2da4cde0, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x05767bd8, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xed2fc08c, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x34132b73, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x091529e2, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xeaa4939a, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x5d553c3e, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x9278bbfd, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x8110e36b, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x195124d5, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xae260142, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x72d7babe, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x5c17ff39, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x928e056a, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xbbb842a5, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xe6761794, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x9d14447f, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x3f13db58, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x7dafd9e0, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x9cf7d53e, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xb1295fa5, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xf9bba11a, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xdcd696e6, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xfc8851d6, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xffa0716b, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x904f746a, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x65720f7c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x3a97effe, "bh_uptodate_or_lock" },
	{ 0xd3c29163, "blk_start_plug" },
	{ 0xaaee26ab, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdeda3ff2, "folio_unlock" },
	{ 0x68550958, "param_ops_ushort" },
	{ 0x8d09341b, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x1ddcaa49, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x40b0133f, "bpf_trace_run6" },
	{ 0x4d34d982, "mark_buffer_dirty" },
	{ 0x8e2d6a28, "__find_get_block" },
	{ 0x19e28e4e, "__trace_trigger_soft_disabled" },
	{ 0x45bdc857, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x3325044d, "trace_event_printf" },
	{ 0xc7c4e351, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7e61ab58, "write_dirty_buffer" },
	{ 0x6f9197f2, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0x383c15a8, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x30d14412, "iput" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0x2306474c, "seq_lseek" },
	{ 0x716b6b54, "blockdev_superblock" },
	{ 0x6de206, "proc_create_data" },
	{ 0xe05b713c, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x29824c5f, "kmem_cache_create" },
	{ 0x7a9f8386, "bpf_trace_run8" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x17eef402, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x4bc1bc7b, "alloc_buffer_head" },
	{ 0x237ae170, "wake_up_process" },
	{ 0x671ea068, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xb1fd36d1, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x9c20c1b, "mutex_lock_io" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xce080d1f, "try_to_free_buffers" },
	{ 0xfc34bc48, "sync_blockdev" },
	{ 0x20df7763, "free_buffer_head" },
	{ 0x954cca88, "unregister_shrinker" },
	{ 0xc24a9de9, "kmem_cache_alloc" },
	{ 0xc41c3c86, "blk_finish_plug" },
	{ 0x981bdb74, "__cond_resched_lock" },
	{ 0xc46ddcb9, "__kmap_local_page_prot" },
	{ 0x56fe846e, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x924b8b73, "__brelse" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xaaac493a, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x147c4b9e, "__bh_read_batch" },
	{ 0xa438dc44, "bpf_trace_run5" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xab06fd53, "mem_section" },
	{ 0x27aa557c, "__wait_on_buffer" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x7c4e68aa, "kmem_cache_free" },
	{ 0xd10bc998, "__bh_read" },
	{ 0x1d6b8c26, "trace_event_reg" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0x5bb62bb, "blkdev_issue_zeroout" },
	{ 0x6a8d5e6c, "filemap_fdatawait_range_keep_errors" },
	{ 0x67d0d977, "crypto_shash_update" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcb65a127, "freezing_slow_path" },
	{ 0x5c67138b, "bpf_trace_run1" },
	{ 0x2be60cef, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x1a39f12c, "set_bh_page" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xacd9cc4b, "kthread_create_on_node" },
	{ 0x9f69ba59, "bpf_trace_run3" },
	{ 0x9ca8e8fe, "seq_read" },
	{ 0xca86b41d, "unlock_buffer" },
	{ 0x155a989, "__getblk_gfp" },
	{ 0x8c0f0785, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xe1ed9c9, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xd986134b, "__folio_put" },
	{ 0x6722ec62, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e922323, "seq_printf" },
	{ 0x45415e9b, "__lock_buffer" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x78831db2, "truncate_inode_pages_range" },
	{ 0xd802491a, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5e9d68b0, "end_buffer_write_sync" },
	{ 0xbab9f4f2, "seq_open" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xcb2d7e4d, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2d056ee7, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0xa6329c9e, "kmem_cache_destroy" },
	{ 0x9379b369, "blkdev_issue_discard" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D671426A0A2A1FD8378332B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
