#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x8c2a840a, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x50b719c6, "_gpl");
SYMBOL_CRC(tls_get_record, 0x13709f99, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x540d5531, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x826a83df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb116dd9, "sk_msg_free" },
	{ 0x957c1fe1, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaaee26ab, "bpf_trace_run4" },
	{ 0xa096fc79, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52e9bad7, "sk_page_frag_refill" },
	{ 0x6a6af8da, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9273ccae, "tcp_sendmsg_locked" },
	{ 0xd07e26a6, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1ddcaa49, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x64bc5d28, "sk_psock_msg_verdict" },
	{ 0x40b0133f, "bpf_trace_run6" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x19e28e4e, "__trace_trigger_soft_disabled" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x3325044d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbcf2d7e, "iov_iter_get_pages2" },
	{ 0x41fe3405, "___pskb_trim" },
	{ 0x383c15a8, "trace_event_raw_init" },
	{ 0x3b40879d, "check_zeroed_user" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c4f12b3, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xed24072c, "clean_acked_data_enable" },
	{ 0x965f2fce, "skb_splice_bits" },
	{ 0xdbc06fd4, "crypto_alloc_aead" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x91a5a350, "crypto_aead_setauthsize" },
	{ 0xcbabc7b6, "crypto_aead_decrypt" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb7f6a594, "sk_stream_error" },
	{ 0x156dbe5, "sk_msg_recvmsg" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6c1ff8c, "sk_msg_memcopy_from_iter" },
	{ 0x5c6ab174, "sk_error_report" },
	{ 0x9d1e5813, "register_pernet_subsys" },
	{ 0x90d117bc, "put_cmsg" },
	{ 0xbeb4a246, "__sk_flush_backlog" },
	{ 0x671ea068, "trace_event_buffer_commit" },
	{ 0xb1fd36d1, "crypto_destroy_tfm" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x42d0092f, "sk_psock_tls_strp_read" },
	{ 0x5026a002, "sk_msg_clone" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x560457ef, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf7cf4e6d, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x90bbe140, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xaf8cb68c, "tcp_recv_skb" },
	{ 0xa271d6d5, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xaaac493a, "perf_trace_run_bpf_submit" },
	{ 0x94f0e83, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x33a7c7d6, "crypto_aead_encrypt" },
	{ 0xa438dc44, "bpf_trace_run5" },
	{ 0x31e1fb8e, "sk_free" },
	{ 0x5ff6c52d, "skb_store_bits" },
	{ 0x552168a5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x711049ee, "__sk_mem_reclaim" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xbb46559e, "sk_stream_wait_memory" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x1d6b8c26, "trace_event_reg" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x1b981cdf, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x9e7db030, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x63718b02, "lock_sock_nested" },
	{ 0xf259bfc9, "sk_msg_return_zero" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x990badcf, "skb_copy_datagram_iter" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5c67138b, "bpf_trace_run1" },
	{ 0x7360399c, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xa028ec5b, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0xa0bfb23c, "sock_efree" },
	{ 0xdc020ada, "iov_iter_bvec" },
	{ 0xe71856e4, "kfree_skb_list_reason" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6b8a0a92, "clean_acked_data_disable" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc67d94dd, "sk_msg_free_partial" },
	{ 0x463c69fc, "down_read" },
	{ 0xf2668e85, "skb_trim" },
	{ 0x6f84c573, "mutex_trylock" },
	{ 0xad67bc9e, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x687ea760, "tcp_register_ulp" },
	{ 0x9f69ba59, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xd0d13986, "sk_psock_drop" },
	{ 0x9c1900c, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x754beed6, "skb_page_frag_refill" },
	{ 0x8c0f0785, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc611bf25, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xf6aef7c7, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xd986134b, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6722ec62, "remove_proc_entry" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8e922323, "seq_printf" },
	{ 0x79851a00, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x96988f31, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xad4665ff, "dst_release" },
	{ 0x12e12228, "_copy_from_iter" },
	{ 0x3fbce106, "skb_copy_header" },
	{ 0xe6930dbe, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x5cf95eda, "netdev_sk_get_lowest_dev" },
	{ 0x9b1d319d, "sk_msg_alloc" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0xeb38e784, "page_address" },
	{ 0x14bbf797, "_copy_from_iter_nocache" },
	{ 0xa1c3bf3c, "tcp_rate_check_app_limited" },
	{ 0x2c65ff17, "tcp_poll" },
	{ 0x68ea9753, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0xf1ac82d1, "sk_msg_zerocopy_from_iter" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xbbec2cd6, "skb_to_sgvec" },
	{ 0x4dc0300, "up_read" },
	{ 0x5d7944c5, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x55325349, "tcp_read_done" },
	{ 0xbaa6ea3a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F479D7585B3F6BF03B3F3CD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
