#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(hda_cs_dsp_fw_ids, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_add_controls, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_control_remove, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_write_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_read_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");

SYMBOL_CRC(hda_cs_dsp_fw_ids, 0x2b707546, "_gpl");
SYMBOL_CRC(hda_cs_dsp_add_controls, 0x2b87ff6d, "_gpl");
SYMBOL_CRC(hda_cs_dsp_control_remove, 0xf25defc0, "_gpl");
SYMBOL_CRC(hda_cs_dsp_write_ctl, 0x5d27fefe, "_gpl");
SYMBOL_CRC(hda_cs_dsp_read_ctl, 0x9e2fed25, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b904ad9, "snd_ctl_add" },
	{ 0xad99a563, "cs_dsp_coeff_read_ctrl" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5ef77a9, "cs_dsp_coeff_write_ctrl" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf4e3d98, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf67444b, "cs_dsp_get_ctl" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x3e5f8b08, "snd_ctl_notify" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29f165, "kmalloc_trace" },
	{ 0x6c953bd3, "kmalloc_caches" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp");


MODULE_INFO(srcversion, "3FFF99E151A4D1B55AA9631");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
