#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_hdmi_jack_port_init, "_gpl", "");
KSYMTAB_FUNC(hdac_hdmi_jack_init, "_gpl", "");

SYMBOL_CRC(hdac_hdmi_jack_port_init, 0x097aa77f, "_gpl");
SYMBOL_CRC(hdac_hdmi_jack_init, 0xe8710156, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x374c7d8f, "snd_soc_dapm_put_enum_double" },
	{ 0x17b2c265, "snd_hdac_get_connections" },
	{ 0x5a6eba8b, "devm_kmalloc" },
	{ 0xabb78bb5, "snd_hdac_sync_power_state" },
	{ 0x2b904ad9, "snd_ctl_add" },
	{ 0x3c79e870, "snd_hdac_add_chmap_ctls" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x8bdbe40d, "snd_soc_jack_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcf47e1e7, "snd_hdac_channel_allocation" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0x47baf612, "snd_soc_dapm_enable_pin" },
	{ 0x7c2b89f3, "snd_hdac_codec_write" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3acd14c8, "snd_soc_dapm_disable_pin" },
	{ 0x3f60b76d, "snd_hdac_query_supported_pcm" },
	{ 0x50945d5b, "snd_hdac_refresh_widgets" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b6d700c, "snd_soc_dapm_sync" },
	{ 0x3daaa84a, "devm_snd_soc_register_component" },
	{ 0xdf4e3d98, "snd_ctl_new1" },
	{ 0x5ed05bf6, "hdmi_audio_infoframe_pack" },
	{ 0x3bcdcfe0, "snd_soc_dapm_new_widgets" },
	{ 0xca0a8338, "devm_kstrdup" },
	{ 0x49ff006, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaff6ec17, "pm_runtime_enable" },
	{ 0x72b391e1, "snd_soc_dapm_get_pin_switch" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x96339da, "snd_hdac_acomp_register_notifier" },
	{ 0x2e32166c, "devm_kmemdup" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x8f0720b2, "snd_hdac_read_parm_uncached" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0xd0692de4, "snd_hdac_register_chmap_ops" },
	{ 0x60c8bdd9, "snd_hdac_ext_bus_link_get" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x3bd544c2, "snd_hdac_get_active_channels" },
	{ 0x55c2a49e, "snd_hdac_setup_channel_mapping" },
	{ 0x3e5f8b08, "snd_ctl_notify" },
	{ 0xfa4db7e2, "snd_hdac_codec_link_down" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x8a46604d, "dapm_kcontrol_get_value" },
	{ 0x6cdfc657, "snd_hdac_acomp_get_eld" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0xafbd316a, "snd_hdac_display_power" },
	{ 0xd2e4771c, "snd_hda_ext_driver_register" },
	{ 0x405d2d52, "snd_pcm_hw_constraint_mask64" },
	{ 0xdda0532c, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92e1316c, "snd_soc_info_enum_double" },
	{ 0xe2f0a4ab, "snd_hdac_check_power_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x68b0f9a7, "snd_pcm_hw_constraint_eld" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ac28265, "snd_hda_ext_driver_unregister" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x81515e78, "snd_soc_dapm_new_controls" },
	{ 0x49338824, "snd_hdac_get_sub_nodes" },
	{ 0x5e3d8ef7, "pm_runtime_force_resume" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x59f2191e, "snd_soc_dapm_put_pin_switch" },
	{ 0x86d8d3ad, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x73c9b77e, "snd_soc_dapm_info_pin_switch" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xeffdc78c, "snd_hdac_ext_bus_link_put" },
	{ 0xddadfb94, "snd_soc_add_card_controls" },
	{ 0xd335a746, "__pm_runtime_suspend" },
	{ 0x1a65d38a, "snd_soc_dapm_get_enum_double" },
	{ 0xfa5cf299, "snd_hdac_codec_read" },
	{ 0xeb872d58, "__pm_runtime_disable" },
	{ 0x8d44eba0, "device_link_add" },
	{ 0x70ea71e2, "hdac_get_device_id" },
	{ 0x135d17d4, "pm_runtime_force_suspend" },
	{ 0x5702ec9f, "__pm_runtime_idle" },
	{ 0x92c71cb8, "snd_hdac_codec_link_up" },
	{ 0x8b77d616, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-hda-core,snd,snd-hda-ext-core,snd-pcm");

MODULE_ALIAS("hdaudio:v80862809r00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Ar00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Br00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Cr00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Dr00100000a02*");

MODULE_INFO(srcversion, "4EB62B5C075AD2511CD91AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
