#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x5a6eba8b, "devm_kmalloc" },
	{ 0x41d03565, "platform_driver_unregister" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x8e5c0ef0, "snd_soc_dai_set_tdm_slot" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa430b185, "sof_rt1015_dai_link" },
	{ 0x3c1a1220, "rt5682s_sel_asrc_clk_src" },
	{ 0x3acd14c8, "snd_soc_dapm_disable_pin" },
	{ 0xe8710156, "hdac_hdmi_jack_init" },
	{ 0x17b38f2c, "snd_soc_card_jack_new" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x6465e79c, "max_98357a_dai_link" },
	{ 0x44d9636d, "max_98360a_dai_link" },
	{ 0xe7ae9041, "snd_soc_dai_set_sysclk" },
	{ 0xea5370ac, "__dynamic_dev_dbg" },
	{ 0x4d8aa6e5, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b6d700c, "snd_soc_dapm_sync" },
	{ 0x173492ff, "max_98390_components" },
	{ 0xf37f6e15, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x7f042fb3, "snd_soc_component_set_jack" },
	{ 0xca0a8338, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72b391e1, "snd_soc_dapm_get_pin_switch" },
	{ 0xad9a5f31, "max_98373_components" },
	{ 0x12c50bbc, "_dev_err" },
	{ 0x68548465, "max_98373_spk_codec_init" },
	{ 0xbd35826f, "asoc_dummy_dlc" },
	{ 0x198f1d2f, "max_98373_set_codec_conf" },
	{ 0x103f661d, "max_98390_4spk_components" },
	{ 0xfd20beb1, "_dev_warn" },
	{ 0x97aa77f, "hdac_hdmi_jack_port_init" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xdda0532c, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2be24f68, "snd_jack_set_key" },
	{ 0x99d0df80, "__platform_driver_register" },
	{ 0x8544fbaa, "devm_kasprintf" },
	{ 0x9dea31b6, "snd_soc_card_jack_new_pins" },
	{ 0x2ccdd8f, "sof_rt1015p_codec_conf" },
	{ 0xa0c92199, "snd_soc_dai_set_pll" },
	{ 0x4e9c02f4, "max_98390_ops" },
	{ 0x81515e78, "snd_soc_dapm_new_controls" },
	{ 0x179146d5, "rt5682_sel_asrc_clk_src" },
	{ 0x59f2191e, "snd_soc_dapm_put_pin_switch" },
	{ 0x29f68b37, "max_98390_spk_codec_init" },
	{ 0xaacaae80, "sof_dai_get_mclk" },
	{ 0xe5a65713, "sof_rt1011_codec_conf" },
	{ 0x73c9b77e, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x3bae3f7f, "snd_soc_pm_ops" },
	{ 0x7fdbf51f, "hda_dsp_hdmi_build_controls" },
	{ 0x3dd11e98, "max_98390_set_codec_conf" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x7df6c090, "sof_rt1015p_dai_link" },
	{ 0xb98c6b63, "sof_rt1019p_dai_link" },
	{ 0xad6f88d2, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb83145cd, "devm_snd_soc_register_card" },
	{ 0x5f2a07dc, "max_98373_ops" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x1ad052d2, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-intel-sof-realtek-common,snd-soc-rt5682s,snd-soc-hdac-hdmi,snd-soc-intel-sof-maxim-common,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-hda-dsp-common,snd-pcm");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");

MODULE_INFO(srcversion, "10DF2F36049F045999A4BC3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
